<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.suspectOrganization.home.createOrEditLabel' | translate}}
        </p-header>

        <div class="modal-body">
            
            <div class="form-group" [hidden]="!suspectOrganization.idSuspect">
                <label for="id" jhiTranslate="global.field.id">ID</label>
                <input type="text" class="form-control" id="id" name="id" [(ngModel)]="suspectOrganization.idSuspect" readonly />
            </div>

            <div class="form-group">
                <label jhiTranslate="mpmApp.suspectOrganization.organization" for="field_organization">Organization</label>
                <select class="form-control" id="field_organization" name="organization" [(ngModel)]="suspectOrganization.organizationId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="organizationOption.idParty" *ngFor="let organizationOption of organizations; trackBy: trackOrganizationById">{{organizationOption.name}}</option>
                </select>
            </div>
        </div>
    
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>    